      SUBROUTINE SGNOTE ( HANDLE, SEGNO )
 
C
C     Output a message to the user about the next segment
C     to be read from the database kernel.
C
 
      IMPLICIT              NONE
 
      INCLUDE               'ekcnamsz.inc'
      INCLUDE               'ektnamsz.inc'
 
      INTEGER               NCOLS
      PARAMETER           ( NCOLS = 100 )
 
      INTEGER               NROWS
      INTEGER               NCOLZ
      INTEGER               SEGNO
      INTEGER               HANDLE
      INTEGER               SIZES    ( NCOLS )
      INTEGER               STRLNS   ( NCOLS )
 
      LOGICAL               INDEXD   ( NCOLS )
      LOGICAL               NULLOK   ( NCOLS )
 
      CHARACTER*(1)         FIRCHR
      CHARACTER*(20)        NUMSTR
      CHARACTER*(80)        OUTMSG
      CHARACTER*(TNAMSZ)    TABNAM
      CHARACTER*(16)        DTYPES   ( NCOLS )
      CHARACTER*(CNAMSZ)    CNAMES   ( NCOLS )
 
 
      CALL INTTXT ( SEGNO,  NUMSTR )
      CALL LCASE  ( NUMSTR, NUMSTR )
      FIRCHR = NUMSTR(1:1)
      CALL UCASE  ( FIRCHR, FIRCHR )
      NUMSTR(1:1) = FIRCHR
 
      CALL EKSSUM (  HANDLE,  SEGNO,   TABNAM,  NROWS,
     .               NCOLZ,   CNAMES,  DTYPES,  SIZES,
     .               STRLNS,  INDEXD,  NULLOK           )
 
      CALL REPMC ( 'Reading Segment #: #', '#', NUMSTR, OUTMSG )
      CALL REPMC ( OUTMSG,                 '#', TABNAM, OUTMSG )
 
      CALL TOSTDO ( OUTMSG )
 
      RETURN
      END
